Acme.Serve

## Class SSLAcceptor

- java.lang.Object
- - Acme.Serve.SSLAcceptor

- All Implemented Interfaces:
    Serve.Acceptor

      public class SSLAcceptor
      extends Object
      implements Serve.Acceptor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ARG_ALGORITHM`
    `static String` | `ARG_BACKLOG`
    `static String` | `ARG_CLIENTAUTH`
    `static String` | `ARG_IFADDRESS`
    `static String` | `ARG_KEYPASS`
    `static String` | `ARG_KEYSTOREFILE`
    `static String` | `ARG_KEYSTOREPASS`
    `static String` | `ARG_KEYSTORETYPE`
    `static String` | `ARG_PORT`
    `static String` | `ARG_PROTOCOL`
    `static int` | `BACKLOG` default backlog
    `protected String` | `keystoreFile` Pathname to the key store file to be used.
    `static String` | `KEYSTORETYPE` Storage type of the key store file to be used.
    `static int` | `PORT` default SSL port
    `static String` | `protocol` SSL protocol variant to use.
    `static String` | `PROTOCOL_HANDLER`
    `static String` | `PROTOCOL_PACKAGES` The name of the system property containing a "|" delimited list of protocol handler packages.
    `protected ServerSocket` | `socket`
    `static String` | `SUNX509` Certificate encoding algorithm to be used.
    `static String` | `TLS` SSL protocol variant to use.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSLAcceptor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Socket` | `accept()`
    `void` | `destroy()`
    `void` | `init(Map inProperties, Map outProperties)`
    `protected static void` | `initHandler()` Register our URLStreamHandler for the "https:" protocol.
    `protected void` | `initServerSocket(ServerSocket ssocket, boolean clientAuth)` Set the requested properties for this server socket.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ARG_ALGORITHM

          public static final String ARG_ALGORITHM

      See Also:
        Constant Field Values

    - #### ARG_CLIENTAUTH

          public static final String ARG_CLIENTAUTH

      See Also:
        Constant Field Values

    - #### ARG_KEYSTOREFILE

          public static final String ARG_KEYSTOREFILE

      See Also:
        Constant Field Values

    - #### ARG_KEYSTOREPASS

          public static final String ARG_KEYSTOREPASS

      See Also:
        Constant Field Values

    - #### ARG_KEYSTORETYPE

          public static final String ARG_KEYSTORETYPE

      See Also:
        Constant Field Values

    - #### ARG_KEYPASS

          public static final String ARG_KEYPASS

      See Also:
        Constant Field Values

    - #### ARG_PROTOCOL

          public static final String ARG_PROTOCOL

      See Also:
        Constant Field Values

    - #### ARG_BACKLOG

          public static final String ARG_BACKLOG

      See Also:
        Constant Field Values

    - #### ARG_IFADDRESS

          public static final String ARG_IFADDRESS

      See Also:
        Constant Field Values

    - #### ARG_PORT

          public static final String ARG_PORT

      See Also:
        Constant Field Values

    - #### PROTOCOL_HANDLER

          public static final String PROTOCOL_HANDLER

      See Also:
        Constant Field Values

    - #### PROTOCOL_PACKAGES

          public static final String PROTOCOL_PACKAGES

      The name of the system property containing a "|" delimited list of protocol handler packages.
      See Also:
        Constant Field Values

    - #### SUNX509

          public static final String SUNX509

      Certificate encoding algorithm to be used.
      See Also:
        Constant Field Values

    - #### PORT

          public static final int PORT

      default SSL port
      See Also:
        Constant Field Values

    - #### BACKLOG

          public static final int BACKLOG

      default backlog
      See Also:
        Constant Field Values

    - #### KEYSTORETYPE

          public static final String KEYSTORETYPE

      Storage type of the key store file to be used.
      See Also:
        Constant Field Values

    - #### TLS

          public static final String TLS

      SSL protocol variant to use.
      See Also:
        Constant Field Values

    - #### protocol

          public static final String protocol

      SSL protocol variant to use.
      See Also:
        Constant Field Values

    - #### keystoreFile

          protected String keystoreFile

      Pathname to the key store file to be used.

    - #### socket

          protected ServerSocket socket

  - ### Constructor Detail

    - #### SSLAcceptor

          public SSLAcceptor()

  - ### Method Detail

    - #### accept

          public Socket accept()
                        throws IOException

      Specified by:
        `accept` in interface `Serve.Acceptor`
      Throws:
        `IOException`

    - #### destroy

          public void destroy()
                       throws IOException

      Specified by:
        `destroy` in interface `Serve.Acceptor`
      Throws:
        `IOException`

    - #### init

          public void init(Map inProperties,
                  Map outProperties)
                    throws IOException

      Specified by:
        `init` in interface `Serve.Acceptor`
      Throws:
        `IOException`

    - #### initHandler

          protected static void initHandler()

      Register our URLStreamHandler for the "https:" protocol.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### initServerSocket

          protected void initServerSocket(ServerSocket ssocket,
                              boolean clientAuth)

      Set the requested properties for this server socket.
      Parameters:
        `ssocket` - The server socket to be configured

Copyright © 2014. All Rights Reserved.